GatewayReceiverFactory (Apache Geode 1.15.4)

org.apache.geode.cache.wan

## Interface GatewayReceiverFactory

-     public interface GatewayReceiverFactory

  Since:
    GemFire 7.0

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static String` | `A_GATEWAY_RECEIVER_ALREADY_EXISTS_ON_THIS_MEMBER`

  - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method and Description
    --- | ---
    `GatewayReceiverFactory` | `addGatewayTransportFilter(GatewayTransportFilter filter)` Adds a `GatewayTransportFilter`
    `GatewayReceiver` | `create()` Creates and returns an instance of `GatewayReceiver`
    `GatewayReceiverFactory` | `removeGatewayTransportFilter(GatewayTransportFilter filter)` Removes a `GatewayTransportFilter`
    `GatewayReceiverFactory` | `setBindAddress(String address)` Sets the ip address or host name that this `GatewayReceiver` is to listen on for GatewaySender Connection
    `GatewayReceiverFactory` | `setEndPort(int endPort)` Sets the end port for the GatewayReceiver.
    `GatewayReceiverFactory` | `setHostnameForSenders(String address)` Sets the ip address or host name that server locators will tell GatewaySenders that this GatewayReceiver is listening on.
    `GatewayReceiverFactory` | `setManualStart(boolean start)` Sets the manual start boolean property for this `GatewayReceiver`.
    `GatewayReceiverFactory` | `setMaximumTimeBetweenPings(int time)` Sets the maximum amount of time between client pings.The default is 60000 ms.
    `GatewayReceiverFactory` | `setSocketBufferSize(int socketBufferSize)` Sets the buffer size in bytes of the socket connection for this `GatewayReceiver`.
    `GatewayReceiverFactory` | `setStartPort(int startPort)` Sets the start port for the `GatewayReceiver`.

- - ### Field Detail

    - #### A_GATEWAY_RECEIVER_ALREADY_EXISTS_ON_THIS_MEMBER

          static final String A_GATEWAY_RECEIVER_ALREADY_EXISTS_ON_THIS_MEMBER

      See Also:
        Constant Field Values

  - ### Method Detail

    - #### setStartPort

          GatewayReceiverFactory setStartPort(int startPort)

      Sets the start port for the `GatewayReceiver`. If set the GatewayReceiver will start at one of the port between startPort and endPort. The default startPort 50505.
      Parameters:
        `startPort` - the start port for the GatewayReceiver
      Returns:
        this factory

    - #### setEndPort

          GatewayReceiverFactory setEndPort(int endPort)

      Sets the end port for the GatewayReceiver. If set the GatewayReceiver will start at one of the port between startPort and endPort. The default endPort 50605.
      Parameters:
        `endPort` - the end port for the GatewayReceiver
      Returns:
        this factory

    - #### setSocketBufferSize

          GatewayReceiverFactory setSocketBufferSize(int socketBufferSize)

      Sets the buffer size in bytes of the socket connection for this `GatewayReceiver`. The default is 32768 bytes.
      Parameters:
        `socketBufferSize` - The size in bytes of the socket buffer
      Returns:
        this factory

    - #### setBindAddress

          GatewayReceiverFactory setBindAddress(String address)

      Sets the ip address or host name that this `GatewayReceiver` is to listen on for GatewaySender Connection
      Parameters:
        `address` - String representing ip address or host name
      Returns:
        this factory

    - #### addGatewayTransportFilter

          GatewayReceiverFactory addGatewayTransportFilter(GatewayTransportFilter filter)

      Adds a `GatewayTransportFilter`
      Parameters:
        `filter` - GatewayTransportFilter
      Returns:
        this factory

    - #### removeGatewayTransportFilter

          GatewayReceiverFactory removeGatewayTransportFilter(GatewayTransportFilter filter)

      Removes a `GatewayTransportFilter`
      Parameters:
        `filter` - GatewayTransportFilter
      Returns:
        this factory

    - #### setMaximumTimeBetweenPings

          GatewayReceiverFactory setMaximumTimeBetweenPings(int time)

      Sets the maximum amount of time between client pings.The default is 60000 ms.
      Parameters:
        `time` - The maximum amount of time between client pings
      Returns:
        this factory

    - #### setHostnameForSenders

          GatewayReceiverFactory setHostnameForSenders(String address)

      Sets the ip address or host name that server locators will tell GatewaySenders that this GatewayReceiver is listening on.
      Parameters:
        `address` - String representing ip address or host name
      Returns:
        this factory

    - #### setManualStart

          GatewayReceiverFactory setManualStart(boolean start)

      Sets the manual start boolean property for this `GatewayReceiver`.
      Parameters:
        `start` - the manual start boolean property for this `GatewayReceiver`
      Returns:
        this factory
      Since:
        GemFire 8.1 Default is true i.e. the `GatewayReceiver` will not start automatically once created. Ideal default value should be false to match with GatewaySender counterpart. But to not to break the existing functionality default value is set to true. For next major releases, default value will be changed to false.

    - #### create

          GatewayReceiver create()

      Creates and returns an instance of `GatewayReceiver`
      Returns:
        instance of GatewayReceiver